html {
    font-size: 16px;
    width: 100vw;
    overflow-x: hidden;
}

ul, ol, li {
    list-style: none;
    margin: 0;
    padding: 0;
}   

a {
    text-decoration: none;
    color: #000;
}

figure {
    margin: 0;
}

/*      HEADER       */

.header {
    background-color: #fff;
    width: 100vw;
    box-shadow: 0px 3px 3px rgba(0, 0, 0, 0.3);
    padding: 1rem;
    display: flex;
    flex-direction: row-reverse;
    box-sizing: border-box;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    top: 0;
    z-index: 10;
}

.header__logo {
    height: 2rem;
}

.header__logo svg {
    height: inherit;
}

.menu-trigger:hover {
    cursor: pointer;
}

.menu-trigger__icon {
    position: relative;
    z-index: 10;
    display: inline-block;
    vertical-align: middle;
    width: 2rem;
    line-height: 2rem;
    height: 2px;
    left: 0;
    top: 0;
    -webkit-transform-origin: center center;
    -ms-transform-origin: center center;
    transform-origin: center center;
    background: #000;
    -webkit-transition: -webkit-transform .4s cubic-bezier(.77,0,.175,1),height .4s cubic-bezier(.77,0,.175,1),margin .4s cubic-bezier(.77,0,.175,1);
    transition: transform .4s cubic-bezier(.77,0,.175,1),height .4s cubic-bezier(.77,0,.175,1),margin .4s cubic-bezier(.77,0,.175,1);
}

.menu-trigger.overlay--triggered .menu-trigger__icon {
    height: 0;
    -webkit-transform: rotateZ(90deg);
    transform: rotateZ(90deg);
}

.menu-trigger__icon:after, .menu-trigger__icon::before {
    content: '';
    display: block;
    width: 2rem;
    height: 2px;
    left: 0;
    position: absolute;
    background: #000;
    -webkit-transition: -webkit-transform .4s cubic-bezier(.77,0,.175,1),left .4s cubic-bezier(.77,0,.175,1),top .4s cubic-bezier(.77,0,.175,1),bottom .4s cubic-bezier(.77,0,.175,1);
    transition: transform .4s cubic-bezier(.77,0,.175,1),left .4s cubic-bezier(.77,0,.175,1),top .4s cubic-bezier(.77,0,.175,1),bottom .4s cubic-bezier(.77,0,.175,1);
}

.menu-trigger__icon::before {
    top: -.5rem;
    -webkit-transform: rotateZ(0deg);
    transform: rotateZ(0deg);
}

.menu-trigger.overlay--triggered .menu-trigger__icon::before {
    -webkit-transform: rotateZ(45deg);
    transform: rotateZ(45deg);
    top: -1px;
    left: 0;
}

.menu-trigger__icon::after {
    bottom: -.5rem;
    -webkit-transform: rotateZ(0deg);
    transform: rotateZ(0deg);
}

.menu-trigger.overlay--triggered .menu-trigger__icon::after {
    -webkit-transform: rotateZ(-45deg);
    transform: rotateZ(-45deg);
    bottom: -1px;
    left: 0;
}

.header__nav {
    display: flex;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #fff;
    width: 100vw;
    height: 100vh;
    box-sizing: border-box;
}

.header__nav ul {
    width: 100%;
    box-sizing: border-box;
    overflow: hidden;
}

.header__nav ul:first-child li{
    width: 100%;
    border-bottom: 1px solid rgba(0, 0, 0, 0.5);
    box-sizing: border-box;
    padding: .8rem;
    background-color: #fff;
}

.header__nav ul:first-child li a{
    display: flex;
    justify-content: space-between;
}

.header__nav ul:first-child .header__nav__submenu {
    cursor: pointer;
}

.header__nav ul:first-child .header__nav__submenu svg{
    height: .5rem;
    transition: 1s;
}

.header__nav ul:first-child .header__nav__submenu.open svg{
    transform: rotateZ(180deg);
}

.header__nav ul:first-child li:first-child{
    border-top: 1px solid rgba(0, 0, 0, 0.5);
}

.header__nav .header__nav__submenu + ul {
    width: 100%;
    overflow: hidden;
    background-color: #fff;
}

.header__nav .header__nav__submenu + ul li{
    padding-left: 2rem;
}

.header__nav__submenu.hidden + ul{
    display: none;
}

.header__nav.hidden {
    display: none;
}

.shadow_background {
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9;
    background: rgba(0, 0, 0, 0.75);

}

.shadow_background.hidden {
    display: none;
}

/*     HERO     */

.hero {
    height: 100vh;
    overflow: hidden;
    display: flex;
}

.hero__image {
    background-image: url(../assets/images/About-us/hero_aboutUs.webp);
    background-repeat: no-repeat;
    background-size: cover;
    height: 100%;
    width: 100%;
    position: relative;
    transition: transform 3s ease-in-out;
}

.hero .hero__image.zoom-in {
    transform: scale(1.1);
}

.hero__image::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(50, 172, 168, 0.6);
    top: 0;
    left: 0;
}

.hero__content {
    height: calc(100% - 3rem);
    width: 100%;
    position: absolute;
    margin-top: 3rem;
    padding: 1rem;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    color: #fff;
    z-index: 2;
}

.hero__title {
    font-family: 'Raleway', sans-serif;
    font-weight: 500;
    font-size: 2.5rem;
    margin: 0;
}

.hero__subtitle {
    font-weight: 400;
    font-size: .8rem;
    margin: .5rem;
}

/*     VISION     */

.vision {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 3rem 10vw;
    width: 100vw;
    box-sizing: border-box;
    text-align: center;
    min-height: 100vh;
}

.vision__text {
    font-family: 'Raleway', sans-serif;
    font-weight: 600;
    font-size: 1.5rem;

}

.vision__subtext {
    color: #707070;
    font-weight: 400;
    font-size: 1rem;
}

/*     VALUES     */

.values {
    width: 100%;
    padding: 0 10vw;
    box-sizing: border-box;
    margin-bottom: 5rem;
}

.values__title {
    width: 80%;
    text-align: center;
    font-family: 'Raleway', sans-serif;
    font-weight: 600;
    font-size: 1.5rem;
    margin-left: auto;
    margin-right: auto;
}

.values__container {
    display: grid;
    grid-gap: 10px;
    padding: 10px;
}

.values__value {
    width: calc(80vw - 20px);
    height: calc(80vw - 20px);
    overflow: hidden;
    padding: 10%;
    box-sizing: border-box;
    display: flex;
    justify-content: right;
    position: relative;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.values__value::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(33, 101, 104, 0.6);
    top: 0;
    left: 0;
}

.values__value:nth-child(2n) {
    justify-content: left;
}

.values__value:nth-child(1) {
    background-image: url(../assets/images/About-us/integrity.webp);
}

.values__value:nth-child(2) {
    background-image: url(../assets/images/About-us/pasion.webp);
}

.values__value:nth-child(3) {
    background-image: url(../assets/images/About-us/adaptability.webp);
}

.values__value:nth-child(4) {
    background-image: url(../assets/images/About-us/transformation.webp);
}

.values__x-svg {
    position: absolute;
    width: 50%;
    height: 50%;
    opacity: .8;
    display: none;
}

.values__value:nth-child(1) .values__x-svg {
    right: 0;
    bottom: 0;
}
.values__value:nth-child(2) .values__x-svg {
    left: 0;
    bottom: 0;
}
.values__value:nth-child(3) .values__x-svg {
    right: 0;
    top: 0;
}
.values__value:nth-child(4) .values__x-svg {
    left: 0;
    top: 0;
}

.value__text {
    width: 100%;
    padding-right: 10%;
    box-sizing: border-box;
    position: relative;
    color: #fff;
    overflow: hidden;
    height: fit-content;
    height: -moz-fit-content;
    height: -webkit-fit-content;
    z-index: 2;
}

.values__value:nth-child(2n) .value__text {
    padding-left: 10%;
    padding-right: 0;
}

.value__title {
    font-size: 1rem;
    margin: 0;
    text-transform: uppercase;
    text-align: right;
}

.values__value:nth-child(2n) .value__title {
    text-align: left;
}

.value__text::after {
    content: '';
    height: 100%;
    width: 3px;
    background-color: #fff;
    position: absolute;
    top: 0;
    right: 0;
}

.values__value:nth-child(2n) .value__text::after {
    right: auto;
    left: 0;
}

.value__description {
    font-size: .7rem;
    text-align: left;
    margin: 0;
    max-height: .8rem;
    font-weight: 300;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    text-overflow: ellipsis;
    overflow: hidden;
    transition: max-height .5s ease-in-out;
    position: relative;
}

.value__description.closed {
    -webkit-line-clamp: 1;
    line-clamp: 1;
}

.value__description.open {
    -webkit-line-clamp: initial;
    line-clamp: initial;
    text-align: justify;
}

.values__value:hover .value__description, .values__value:active .value__description {
    max-height: 17rem;
}

/*     FOOTER     */

.footer {
    padding: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    position: relative;
    border-top: 1px solid #707070;
    width: 90%;
    margin: auto;
    margin-top: 3rem;
}

.footer__logo {
    width: 4rem;
}

.footer__nav ul{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 1rem;
    margin-bottom: 2rem;
    font-weight: 500;
}

.footer__nav ul li{
    margin: .5rem;
}

.footer__copyright {
    font-size: .7rem;
    color: #707070;
}






@media only screen and (min-width: 425px) {

    /*     HEADER     */

    .header__nav {
        width: 80vw;
    }

    /*     HERO     */

    .hero__title {
        font-size: 3rem;
    }
    
    .hero__subtitle {
        font-size: 1rem;
    }

    /*     VALUES     */

    .values__title {
        font-size: 2rem;
    }


}

@media only screen and (min-width: 600px) {

    /*     HEADER     */

    .header__nav {
        width: 50vw;
    }

    /*     VISION     */

    .vision__text {
        font-size: 2rem;
    
    }
    
    .vision__subtext {
        font-size: 1.3rem;
    }

    /*     VALUES     */

    .values__container {
        grid-template-columns: repeat(2, 1fr);
    }
    
    .values__value {
        width: calc(40vw - 20px);
        height: calc(40vw - 20px);
        overflow: hidden;
        padding: 10%;
        box-sizing: border-box;
        background-color: #32ACA8;
    }

    .values__value:nth-child(n+3) .value__text {
        align-self: flex-end;
    }   

    .values__x-svg {
        display: initial;
    }

    /*     FOOTER     */

    .footer__nav ul{
        flex-direction: row;
    }
    

}

@media only screen and (min-width: 768px) {

    /*     HEADER     */

    .header__nav {
        width: 30vw;
    }

    .header__logo {
        height: 2.5rem;
    }

    /*     HERO     */

    .hero__image {
        width: 50%;
    }

    .hero__content {
        width: 50%;
        position: static;
        background-color: #32ACA8;
    }

    /*     VISION     */

    .vision__text {
        font-size: 2.5rem;
    
    }
    
    .vision__subtext {
        font-size: 1.5rem;
    }

    /*     VALUES     */

    .values__title {
        font-size: 2.5rem;
    }

    .value__text {
        width: 90%;
    }

    .value__description {
        font-size: .8rem;
        max-height: .9rem;
    }

    /*     FOOTER     */

    .footer__logo {
        position: absolute;
        left: 1rem;
        top: 1rem;
    }

}

@media only screen and (min-width: 1024px) {

    /*     HERO     */

    .hero__title {
        font-size: 3.5rem;
    }
    
    .hero__subtitle {
        font-size: 1.3rem;
    }

    /*     VISION     */

    .vision__text {
        font-size: 2.8rem;
    
    }

    /*     VALUES     */

    .values {
        padding: 0 20vw;
    }

    .values__value {
        width: calc(30vw - 20px);
        height: calc(30vw - 20px);
    }


    /*     FOOTER     */

    .footer {
        width: 80%;
    }

}

@media only screen and (min-width: 1200px) {

    /*     HEADER     */

    .header {
        flex-direction: row;
    }

    .header__nav {
        display: flex;
        position: initial;
        background-color: #fff;
        width: fit-content;
        height: fit-content;
        width: -moz-fit-content;
        height: -moz-fit-content;
        width: -webkit-fit-content;
        height: -webkit-fit-content;
        box-sizing: border-box;
    }
    
    .header__nav ul {
        width: initial;
        box-sizing: border-box;
        overflow: hidden;
        display: flex;
    }
    
    .header__nav ul:first-child li{
        width: fit-content;
        width: -moz-fit-content;
        width: -webkit-fit-content;
        border-bottom: none;
        position: relative;
    }

    .header__nav ul:first-child li::after{
        position: absolute;
        content: '';
        height: 5px;
        margin: 0;
        left: .8rem;
        right: .8rem;
        bottom: 0;
        width: calc(100% - 1.6rem);
        background: #9A9A9A;
        opacity: 0;
        -o-transition: .5s;
        -ms-transition: .5s;
        -moz-transition: .5s;
        -webkit-transition: .5s;
        transition: .5s;
    }

    .header__nav ul:first-child li.selected::after{
        opacity: 1;
        -o-transition: .5s;
        -ms-transition: .5s;
        -moz-transition: .5s;
        -webkit-transition: .5s;
        transition: .5s;
    }
    
    .header__nav ul:first-child .header__nav__submenu svg{
        display: none;
    }
    
    .header__nav ul:first-child li:first-child{
        border-top: none;
    }

    .header__nav ul:first-child .header__nav__submenu.open + ul{
        padding: .5rem;
    }
    
    .header__nav .header__nav__submenu + ul {
        width: 100vw;
        padding: 0;
        overflow: hidden;
        display: flex;
        justify-content: space-evenly;
        align-items: center;
        position: absolute;
        right: 0;
        box-shadow: 0px 3px 3px rgba(0, 0, 0, 0.3);
        top: 4.7rem;
        transition: 1s;
    }
    
    .header__nav .header__nav__submenu + ul li{
        padding: 0;
        font-size: 0px;
        transition: 1s;
    }

    .header__nav ul:first-child .header__nav__submenu.open + ul li{
        padding: 0.8rem;
        font-size: 1rem;
    }

    .header__nav .header__nav__submenu.hidden + ul {
        display: none;
    }

    .menu-trigger {
        display: none;
    }

    /*     HERO     */

    .hero__title {
        font-size: 4rem;
    }

    /*     VALUES     */

    .values {
        padding: 0 25vw;
    }

    .values__title {
        font-size: 3rem;
    }

    .values__value {
        width: calc(25vw - 20px);
        height: calc(25vw - 20px);
    }

}

@media only screen and (min-width: 1300px) {

    /*     HERO     */
    
    .hero__subtitle {
        font-size: 1.5rem;
    }
    
}



/*       ANIMATIONS        */

.slide-in {
    -webkit-animation-name: slide-in;
    -webkit-animation-duration: .5s;
    animation-name: slide-in;
    animation-duration: .5s;
    animation-fill-mode: forwards; 
}

@keyframes slide-in {
    from {
        transform: translateX(-100vw);
    }
    
    to {
        transform: translateX(0);
    }
}

@-webkit-keyframes slide-in {
    from {
        transform: translateX(-100vw);
    }
    
    to {
        transform: translateX(0);
    }
}

.slide-out {
    -webkit-animation-name: slide-out;
    -webkit-animation-duration: .5s;
    animation-name: slide-out;
    animation-duration: .5s;
    animation-fill-mode: forwards; 
}

@keyframes slide-out {
    from {
        transform: translateX(0);
    }
    
    to {
        transform: translateX(-100vw);
    }
}

@-webkit-keyframes slide-out {
    from {
        transform: translateX(0);
    }
    
    to {
        transform: translateX(-100vw);
    }
}

.slide-down {
    -webkit-animation-name: slide-down;
    -webkit-animation-duration: 1s;
    animation-name: slide-down;
    animation-duration: 1s;
    animation-fill-mode: forwards; 
}

@keyframes slide-down {
    from {
        max-height: 0%;
    }
    
    to {
        max-height: 100%;
    }
}

@-webkit-keyframes slide-down {
    from {
        max-height: 0%;
    }
    
    to {
        max-height: 100%;
    }
}

.slide-up {
    -webkit-animation-name: slide-up;
    -webkit-animation-duration: 1s;
    animation-name: slide-up;
    animation-duration: 1s;
    animation-fill-mode: forwards; 
}

@keyframes slide-up {
    from {
        max-height: 100%;
    }
    
    to {
        max-height: 0%;
    }
}

@-webkit-keyframes slide-up {
    from {
        max-height: 100%;
    }
    
    to {
        max-height: 0%;
    }
}

.fade-in {
    -webkit-animation-name: fade-in;
    -webkit-animation-duration: .5s;
    animation-name: fade-in;
    animation-duration: .5s;
}

@-webkit-keyframes fade-in {
    from {opacity: 0;}
    to {opacity: 1;}
}

@keyframes fade-in {
    from {opacity: 0;}
    to {opacity: 1;}
}

.fade-out {
    -webkit-animation-name: fade-out;
    -webkit-animation-duration: .5s;
    animation-name: fade-out;
    animation-duration: .5s;
}

@-webkit-keyframes fade-out {
    from {opacity: 1;}
    to {opacity: 0;}
}

@keyframes fade-out {
    from {opacity: 1;}
    to {opacity: 0;}
}


.roulette-out {
    animation: roulette-out 1s ease-in-out;
    animation-fill-mode: forwards; 
}

.roulette-in {
    animation: roulette-in 1s ease-in-out;
    animation-fill-mode: forwards; 
}

@keyframes roulette-out {

    to {
        transform: translateY(-1.5rem);
        opacity: 0;
    }
}

@keyframes roulette-in {
    from {
        transform: translateY(1.5rem);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

@keyframes color-change {

    to {
        color: #287b7f;
    }
}

@font-face {
    font-family: 'Raleway';
    font-weight: 600;
    font-style: normal;
    src: url(../assets/fonts/Raleway/Raleway-SemiBold.ttf);
    font-display: swap;
}

@font-face {
    font-family: 'Raleway';
    font-weight: 500;
    font-style: normal;
    src: url(../assets/fonts/Raleway/Raleway-Medium.ttf);
    font-display: swap;
}